summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorAndrey Hristov <andrey@php.net>1999-04-24 21:21:35 +0000
committerAndrey Hristov <andrey@php.net>1999-04-24 21:21:35 +0000
commit4aeb630539dd6abb8471b587269b9a082b487f07 (patch)
tree3db9dede1b88702ef6a8c786b6fd025973093350 /scripts
parent3b195581db4b04c441318dc51fe10943f00bb98a (diff)
downloadphp-git-4aeb630539dd6abb8471b587269b9a082b487f07.tar.gz
Change cmp'risons to be cross-shell compatible.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/preconfig6
1 files changed, 4 insertions, 2 deletions
diff --git a/scripts/preconfig b/scripts/preconfig
index dbba3147c3..a1af801e8b 100755
--- a/scripts/preconfig
+++ b/scripts/preconfig
@@ -4,7 +4,8 @@
makefiles=`echo ext/*/Makefile.am | sed -e 's/\.am//g'`
sed -e "s#@@EXT_MAKEFILES@@#$makefiles#" configure.in.in > configure.in.new
-if ! cmp configure.in configure.in.new > /dev/null 2>&1; then
+cmp configure.in configure.in.new > /dev/null 2>&1
+if test $? -ne 0 ; then
mv configure.in.new configure.in
else
rm -f configure.in.new
@@ -17,7 +18,8 @@ if test "$confighfiles" != "ext/*/config.h.stub"; then
cat $file >> acconfig.h.new
done
fi
-if ! cmp acconfig.h acconfig.h.new > /dev/null 2>&1; then
+cmp acconfig.h acconfig.h.new > /dev/null 2>&1
+if test $? -ne 0 ; then
mv acconfig.h.new acconfig.h
else
rm -f acconfig.h.new